#
# spec file for package cv
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cv
Version:        0.7.1
Release:        5.5
Summary:        Coreutils Viewer
License:        GPL-3.0+
Group:          System/cmd
Url:            https://github.com/Xfennec/cv
Source0:        http://github.com/Xfennec/cv/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ncurses-devel

%description
This tool can be described as a Tiny Dirty Linux Only* C command that looks for coreutils basic
commands (cp, mv, dd, tar, gzip/gunzip, cat, ...) currently running on your system and displays
the percentage of copied data.

It can now also display an estimated throughput (using -w flag).

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} CFLAGS="-g -Wall -D_FILE_OFFSET_BITS=64 $RPM_OPT_FLAGS"

%install
make %{?_smp_mflags} PREFIX=%{buildroot}%{_prefix} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{_bindir}/cv
%{_mandir}/man1/cv.*

%changelog
* Fri Jun 26 2015 bugs@vdm-design.de
- Update to version 0.7.1
  * Updated Mac OSX support
* Fri Dec 26 2014 bugs@vdm-design.de
- Update to version 0.6
  * Add support for xz, md5sum, sha1sum, sha256sum, sha224sum,
    sha384sum, sha512sum
  * Added -p support for PID monitoring
* Fri Sep 12 2014 bugs@vdm-design.de
- Update to version 0.5.1
  * cv is now less verbose
- Remove seperate manpage, as it was accepted upstream and is now
  distributet in the source archive.
* Sat Aug 16 2014 bugs@vdm-design.de
- Add LICENSE and README.md to %%doc
* Fri Aug 15 2014 cdenicolo@suse.com
- license update: GPL-3.0+
  or later in GPL-3.0 was missing.
* Thu Aug  7 2014 bugs@vdm-design.de
- Initial packaging of cv version 0.4.1
